Could not initialize camera. Please see error trace. c270


RuntimeError Traceback (most recent call last)
/usr/local/lib/python3.6/dist-packages/jetcam-0.0.0-py3.6.egg/jetcam/usb_camera.py in init(self, *args, **kwargs)
23 if not re:
—> 24 raise RuntimeError(‘Could not read image from camera.’)
25

RuntimeError: Could not read image from camera.

During handling of the above exception, another exception occurred:

RuntimeError Traceback (most recent call last)
in
1 from jetcam.usb_camera import USBCamera
2
----> 3 camera = USBCamera(width=224, height=224, capture_width=640, capture_height=480, capture_device=1)

/usr/local/lib/python3.6/dist-packages/jetcam-0.0.0-py3.6.egg/jetcam/usb_camera.py in init(self, *args, **kwargs)
26 except:
27 raise RuntimeError(
—> 28 ‘Could not initialize camera. Please see error trace.’)
29
30 atexit.register(self.cap.release)

RuntimeError: Could not initialize camera. Please see error trace.

Hi, I had the same issue with my Jetbot Nano after some times.
If you use a camera module with FCC cable, try to reinstall the cable (Nano off) of the camera module.
It helps for me.

Hi Could you please let us know if you can help us with above mentioned error “RuntimeError: Could not initialize camera. Please see error trace.”

I just installed JetPack 4.3 image, then did the update and the sudo apt-get install nvidia-jetpack
I still get this same error after installing and trying to run the jetcam code.

Using a Logitech USB c920 camera, which worked when I used the DLI Getting Started image. We are missing something.

This worked for me: https://github.com/NVIDIA-AI-IOT/jetcam/issues/12
(Assuming you are trying to run the jetcam project)